gnutls_certificate_type_get_name(3)

NAME
gnutls_certificate_type_get_name - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_certificate_type_get_name(gnutls_certificate_type_t type);

ARGUMENTS

gnutls_certificate_type_t           type
    is a certificate type

DESCRIPTION
Convert a gnutls_certificate_type_t type to a string.

RETURNS
a string that contains the name of the specified certificate type, or NULL in case of unknown types.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/